Get Human Input Form
Available for: Chatflow, Workflow apps.
Retrieve a paused Human Input form’s contents. Requires WebApp delivery.
See the API Integration Flow for the end-to-end sequence of calling Human Input endpoints.
curl --request GET \
--url https://{api_base_url}/form/human_input/{form_token} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_base_url}/form/human_input/{form_token}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_base_url}/form/human_input/{form_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"form_content": "Please review the draft, set a priority, and confirm or request changes.",
"inputs": [
{
"type": "paragraph",
"output_variable_name": "feedback",
"default": {
"type": "constant",
"selector": [],
"value": ""
}
},
{
"type": "select",
"output_variable_name": "priority",
"option_source": {
"type": "constant",
"selector": [],
"value": [
"low",
"medium",
"high"
]
}
},
{
"type": "file",
"output_variable_name": "attachment",
"allowed_file_types": [
"image",
"document"
],
"allowed_file_extensions": [],
"allowed_file_upload_methods": [
"local_file",
"remote_url"
]
},
{
"type": "file-list",
"output_variable_name": "attachments",
"allowed_file_types": [
"image",
"document"
],
"allowed_file_extensions": [],
"allowed_file_upload_methods": [
"local_file",
"remote_url"
],
"number_limits": 5
}
],
"resolved_default_values": {
"feedback": ""
},
"user_actions": [
{
"id": "approve",
"title": "Approve",
"button_style": "primary"
},
{
"id": "reject",
"title": "Request changes",
"button_style": "default"
}
],
"expiration_time": 1745510400
}Authorizations
API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.
Path Parameters
Access token for the paused form, returned in the human_input_required event from the Run Workflow or Send Chat Message endpoint in streaming mode.
Response
Form contents retrieved successfully.
Pre-rendered form body with workflow variables substituted.
Form input field definitions.
Show child attributes
Show child attributes
Pre-rendered values to display in the form. Keyed by input output_variable_name. Populated for paragraph inputs whose default resolves from a workflow variable; empty for inputs with no resolvable default. Display these values; do not re-resolve default on the client. All values are stringified.
Show child attributes
Show child attributes
Available submission actions.
Show child attributes
Show child attributes
Unix timestamp (seconds) after which this form can no longer be submitted.
Was this page helpful?
